Last Comment Bug 553515 - UI should support addons that install instantly, without an AddonInstall
: UI should support addons that install instantly, without an AddonInstall
Status: VERIFIED FIXED
[rewrite]
:
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: P1 normal (vote)
: mozilla1.9.3a5
Assigned To: Blair McBride [:Unfocused] (UNAVAILABLE)
:
: Andy McKay [:andym]
Mentors:
Depends on: 553791
Blocks: 550048
  Show dependency treegraph
 
Reported: 2010-03-18 21:33 PDT by Blair McBride [:Unfocused] (UNAVAILABLE)
Modified: 2010-05-18 06:39 PDT (History)
3 users (show)
hskupin: in‑testsuite?
hskupin: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Blair McBride [:Unfocused] (UNAVAILABLE) 2010-03-18 21:33:54 PDT
Currently, the UI assumes that when an addon is installed, it uses a AddonInstall object to do so (and its relevant events). However, this isn't neccisarily the case - a provider should be able to instantly install a new addon (and uninstall one), using only the onInstalling/onInstalled and onUninstalling/onUninstalled events.
Comment 1 Blair McBride [:Unfocused] (UNAVAILABLE) 2010-03-19 22:30:47 PDT
This is needed to properly support the search-engine and plugins providers.
Comment 2 Henrik Skupin (:whimboo) 2010-03-22 06:44:14 PDT
That looks more like we can only have automated tests here.
Comment 3 Blair McBride [:Unfocused] (UNAVAILABLE) 2010-04-22 06:29:38 PDT
http://hg.mozilla.org/projects/addonsmgr/rev/760d83f3a531
Comment 4 Dave Townsend [:mossop] 2010-05-11 11:57:49 PDT
Landed on trunk as a part of bug 554007
Comment 5 Henrik Skupin (:whimboo) 2010-05-18 06:39:03 PDT
Verified fixed based on check-in. A possible automated test is still outstanding.

Note You need to log in before you can comment on or make changes to this bug.